
TYPO3.Flow - Feature # 27490

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Object
Created: 2011-06-16 Assigned To: Robert Lemke
Updated: 2011-07-04 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Vendor Namespaces Support
Description

FLOW3 should support the concept of vendor namespaces and therefore support class names like the following, thus making the "F3"
namespace obsolete:

\RobertLemke\AutoMakeTemplate\Controller\FooController
\Zend\...
\TYPO3\FLOW3\Package\PackageManagerInterface
\TYPO3\TYPO3\Domain\Model\Site

Related issues:
related to Core - Feature # 25337: Add PHP 5.3 namespace support Resolved 2011-03-16

Associated revisions
Revision f4ed9455 - 2011-06-30 23:10 - Robert Lemke

[TASK] Adjustments to new vendor namespace and package key format

This change set contains the new directory structure / new pointers
to submodules which reflect the new vendor namespaces and package key
format.

Change-Id: If59a0fa5166617cc506186fe22be2a0a2e74335c
Related: #27490

Revision 08481c08 - 2011-07-04 13:15 - Robert Lemke

[FEATURE] Vendor Namespaces Support

This change set contains the main part of the vendor namespaces support
in FLOW3. It contains most code adjustments to the new namespace of
the FLOW3 framework packages and the new package key format.

Also features a few cosmetic changes and additions where I came along.

Furthermore this commit contains various new tests for previously
untested parts of FLOW3.

Change-Id: I3f608980ae654d1e786b09a2087dde999c52f3ec
Resolves: #27490
Revision d100a281 - 2012-05-09 16:05 - Aske Ertmann 

[BUGFIX] Avoid reverse ordering of packages in configuration manager

This issue causes some problems when packages are overwriting YAML settings,
because in #27490 the package order is reversed in order to put TYPO3.FLOW3
at the top. This has some unnecessary consequences.

Change-Id: Ice3ddd43e2055bbd1aabe56585188742bc7027ad
Fixes: #36965
Related: #27490
Releases: 1.1

History
#1 - 2011-06-22 20:34 - Karsten Dambekalns
- Assigned To set to Robert Lemke
- % Done changed from 0 to 40

This is making steady progress, the 40% are my estimate based on green bars and relief I have seen on Robert's screen and face ;)

#2 - 2011-06-28 20:52 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I3f608980ae654d1e786b09a2087dde999c52f3ec has been pushed to the review server.
It is available at http://review.typo3.org/2960

#3 - 2011-06-28 23:14 - Robert Lemke
- % Done changed from 40 to 100

#4 - 2011-06-30 23:02 - Mr. Hudson

Patch set 2 of change I3f608980ae654d1e786b09a2087dde999c52f3ec has been pushed to the review server.
It is available at http://review.typo3.org/2960

#5 - 2011-07-01 17:41 - Mr. Hudson

Patch set 3 of change I3f608980ae654d1e786b09a2087dde999c52f3ec has been pushed to the review server.
It is available at http://review.typo3.org/2960

#6 - 2011-07-03 19:32 - Mr. Hudson

Patch set 4 of change I3f608980ae654d1e786b09a2087dde999c52f3ec has been pushed to the review server.
It is available at http://review.typo3.org/2960

#7 - 2011-07-04 13:16 - Mr. Hudson
Patch set 5 of change I3f608980ae654d1e786b09a2087dde999c52f3ec has been pushed to the review server.
It is available at http://review.typo3.org/2960

#8 - 2011-07-04 13:35 - Robert Lemke
- Status changed from Under Review to Resolved

Applied in changeset commit:08481c08d40ec1f1931ad5c9e6c2950a8dd97548.
